Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit.impl.model
Class HistoryAuditTaskImpl

    java.lang.Object
      org.jbpm.services.task.audit.impl.model.AbstractAuditTaskImpl
          org.jbpm.services.task.audit.impl.model.UserAuditTaskImpl
              org.jbpm.services.task.audit.impl.model.HistoryAuditTaskImpl

All Implemented Interfaces:
  Serializable, AuditTask, UserAuditTask

    @Entity
    public class HistoryAuditTaskImpl

extends UserAuditTaskImpl
implements AuditTask

See Also:
  Serialized Form

Constructor Summary
`HistoryAuditTaskImpl()`
`HistoryAuditTaskImpl(String owner, long taskId, String status, Date activationTime, String name, String description, int priority, String createdBy, Date createdOn, Date dueDate, long processInstanceId, String processId, int processSessionId, long parentId)`

Method Summary

Methods inherited from class org.jbpm.services.task.audit.impl.model.UserAuditTaskImpl
`getActualOwner, setActualOwner`

Methods inherited from class org.jbpm.services.task.audit.impl.model.AbstractAuditTaskImpl
`getActivationTime, getCreatedBy, getCreatedOn, getDescription, getDueDate, getName, getParentId, getPriority, getProcessId, getProcessInstanceId, getProcessSessionId, getStatus, getTaskId, setActivationTime, setCreatedBy, setCreatedOn, setDescription, setDueDate, setName, setParentId, setPriority, setProcessId, setProcessInstanceId, setProcessSessionId, setStatus, setTaskId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbpm.services.task.audit.impl.model.api.AuditTask
`getActivationTime, getCreatedBy, getCreatedOn, getDescription, getDueDate, getName, getParentId, getPriority, getProcessId, getProcessInstanceId, getProcessSessionId, getStatus, getTaskId, setActivationTime, setCreatedBy, setCreatedOn, setDescription, setDueDate, setName, setParentId, setPriority, setProcessId, setProcessInstanceId, setProcessSessionId, setStatus, setTaskId`

Constructor Detail

### HistoryAuditTaskImpl

    public HistoryAuditTaskImpl(String owner,
                                long taskId,
                                String status,
                                Date activationTime,
                                String name,
                                String description,
                                int priority,
                                String createdBy,
                                Date createdOn,
                                Date dueDate,
                                long processInstanceId,
                                String processId,
                                int processSessionId,
                                long parentId)

### HistoryAuditTaskImpl

    public HistoryAuditTaskImpl()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.